# Quotas and limits

This reference describes usage quota and limits that apply to the sandbox environment.

![](/files/-M_NSxhwzBH0JmxfRIA7)

### Sandbox hosts

The Instruqt platform supports **virtual machines**, **containers** and **website services** as sandbox hosts:

* For **virtual machines**, multiple [machine types](/reference/platform/sandbox-host-machine-types.md) are supported, up to 32 vCPUs and 208 GB of memory.
* For **containers,** you can allocate up to 8 GB (8192 MB) of memory per sandbox container.
* Each sandbox is subject to a limit of **15 containers and website services combined** at any given time. This limitation helps ensure optimal performance and resource allocation for all users.

### Google Cloud Platform projects

The following limitations apply to GCP projects you create for learners as part of the sandbox environment.

* **Services**: You can enable all Google Cloud APIs for learners, *except* [serviceusage.googleapis.com](https://cloud.google.com/service-usage/docs/reference/rest), as this API allows the learner to enable additional services without intervention.
* **CPU quota:** Every project has a quota of 16 vCPUs per play, and this limitation does not apply to the sandbox hosts.
* **Machine types:** The following machine types are *not* available:
  * Memory-optimized (M1, M2)
  * Compute-optimized (C2)
  * Accelerator-optimized (A2)
* **GPU quota:** Currently allocation of GPU cores is disabled. If you have a legitimate use case for GPU cores, please reach out to your account manager.

### Azure subscriptions

The following limitations apply to Azure Subscriptions you create for learners as part of the sandbox environment.

* **Virtual machines**: Only General-Purpose type VM sizes with 16 *vCPU or less* are allowed. GPU (and all other accelerated) compute sizes are not allowed.

Supported virtual machine families:

* basicAFamily
* standardA0\_A7Family
* standardAv2Family
* standardBSFamily
* standardBsv2Family
* standardDASv4Family
* standardDASv5Family
* standardDASv6Family
* standardDAv4Family
* standardDCSv2Family
* standardDDSv4Family
* standardDDv4Family
* standardDFamily
* standardDLDSv5Family
* StandardDpsv6Family
* standardDSFamily
* standardDSv2Family
* standardDSv3Family
* standardDSv4Family
* standardDv2Family
* standardDv3Family
* standardDv4Family

Refer to the [Azure Documentation](https://docs.microsoft.com/en-us/azure/virtual-machines/sizes-general) for a complete list of types/sizes supported.

### AWS accounts

The following limitations apply to AWS accounts you create for learners as part of the sandbox environment.

* **EC2 Instances**: Only General-Purpose instance types are allowed. GPU (and all other accelerated) compute sizes are not allowed. The following list shows the valid machine types.
* **Route53 Domain**: It's not allowed to register domain names through Route53.

#### Supported AWS EC2 Instance Types

* t\*.nano
* t\*.micro
* t\*.small
* t\*.medium
* t\*.\*large
* m\*.nano
* m\*.micro
* m\*.small
* m\*.medium
* m\*.\*large
* a1.nano
* a1.micro
* a1.small
* a1.medium
* a1.\*large
* i\*.\*large

Refer to the [EC2 documentation](https://aws.amazon.com/ec2/instance-types/) for a complete list of types/sizes supported by AWS.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.instruqt.com/reference/platform/quotas-and-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
